﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO.IsolatedStorage;
using System.IO;
using System.Text.RegularExpressions;

namespace game.Model
{
    public class Score : IComparable<Score>
    {

        public String name;
        public String level;
        public String date;
        public String points;

        public Score() { }
        public Score(String scoreLine) {
            string[] line = Regex.Split(scoreLine, "&&");
            name = line[0];
            date = line[1];
            points = line[2];
            level = line[3];
        }


        public bool isEmpty() {
            if (string.IsNullOrEmpty(date) || string.IsNullOrEmpty(name) || string.IsNullOrEmpty(points) || string.IsNullOrEmpty(level))
                return true;
            return false;
        }



        public String toStringLine() {
            return name + "&&" + date + "&&" + points + "&&" + level;
        }

        public int scoreToInt() {
            string[] point1 = Regex.Split(this.points, "pts");
            return points[0];
        }

        public int CompareTo(Score other)
        {

            string[] point1 = Regex.Split(other.points, "pts");
            string[] point2 = Regex.Split(this.points, "pts");
            if (int.Parse(point1[0]) < int.Parse(point2[0]))
                return -1;
            if (int.Parse(point1[0]) > int.Parse(point2[0]))
                return 1;
            return 0;
        }
    }
}
