﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace game.Model
{
    public class SpecialButton : Grid
    {

        private Button b = new Button();


        public SpecialButton(int x, int y, Image img) {

            

            RowDefinition rd = new RowDefinition();
            //rd.Height = new GridLength(x);
            rd.Height = GridLength.Auto; 
            this.RowDefinitions.Add(rd);

            ColumnDefinition cd = new ColumnDefinition();
            //cd.Width = new GridLength(y);
            cd.Width = GridLength.Auto;
            this.ColumnDefinitions.Add(cd);

            //my button
            b.HorizontalAlignment = HorizontalAlignment.Center;
            b.VerticalAlignment = VerticalAlignment.Center;
            b.Width = x;
            b.Height = y;
            b.SetValue(Grid.RowProperty, 0);
            b.SetValue(Grid.ColumnProperty, 0);
            b.Content = img;
            b.Tag = img.Tag;
            b.BorderThickness = new Thickness(0,0,0,0);
            b.Padding = new Thickness(0, 0, 0, 0);

            Random r = new Random(DateTime.Now.Millisecond);
            if (r.Next(0, 2) == 1)
            {
                RotateTransform rotate = new RotateTransform();
                rotate.CenterX = b.Width / 2;
                rotate.CenterY = b.Height / 2;
                rotate.Angle = r.Next(0,360);
                b.RenderTransform = rotate;
            }

            this.Children.Add(b);
        }


        public String getTag() {
            return (String)b.Tag;
        }

        public Button button() {
            return b;
        }


    }
}
