﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Text.RegularExpressions;

namespace game.Model
{
    public class ActualState
    {
        public int time;
        public int points;
        public bool defaultState = true;

        //public ActualState() { }
        public ActualState(String line) {

            if (string.IsNullOrEmpty(line))
            {
                time = 50;
                points = 0;
                return;
            }

            string[] t = Regex.Split(line, ",");
            time = int.Parse(t[0]);
            points = int.Parse(t[1]);
            defaultState = false;
        }

        public String toLine() {
            return time + "," + points;
        }
    }
}
