﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Threading;

namespace game.Model
{
    public class CountDown
    {

        public int sec;
        int cen;
        bool work = true;
        
        public CountDown(int sec) {
            this.sec = sec;
            this.cen = 99;
        }

        public void Start() {
            while (work)
            {
                if (!logic())
                {
                    return;
                }
                System.Threading.Thread.Sleep(1000);
            }
        }

        public void Pause()
        {
            work = false;
        }

        public void Resume()
        {
            work = true;
        }

        public bool secLess(int n)
        {
            if(n == 1)
                return logic();
            
            for (int i = 0; i < n-1; i++ )
                logic();
            return logic();
            
        }

        private bool logic() {

            if (sec == 0 && cen == 0)
                return false;

            if (cen != 0)
                cen--;
            else
            {
                sec--;
                cen = 99;
            }

            //keep coutind down
            if (cen == 0)
            {
                if (sec != 0)
                {
                    sec--;
                    cen = 99;
                }
                else
                    return false;
            }
            return true;


        }


        public String print() {
            String ssec = sec+"";
            String scen = cen + "";

            if (sec < 10)
                ssec = "0"+sec;

            if (cen < 10)
                scen = "0" + cen;


            return ssec + ":" + scen;
        }

    }
}
