﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO.IsolatedStorage;
using System.IO;
using System.Collections.Generic;

namespace game.Model
{
    public class ScoreManager
    {

        public List<Score> scores = new List<Score>();
        //private int maxScores = 100;
        
        public List<Score> getScores() {

            IsolatedStorageFile myStore = IsolatedStorageFile.GetUserStoreForApplication();
            StreamReader readFile = null;
                scores.Clear();
                readFile = new StreamReader(new IsolatedStorageFileStream("scores.txt", FileMode.OpenOrCreate, myStore));
                String temp;
                while ((temp = readFile.ReadLine()) != null)
                {
                    Score s = new Score(temp);
                    scores.Add(s);
                }

                //The control txtRead will display the text entered in the file
                readFile.Close();
            
            //sort!
            scores.Sort();
            return scores;
        }

        public bool able(Score s)
        {
            /*
            List<Score> scores = this.getScores();
            if (scores.Count < maxScores)
                return true;

            bool lower = false;
            foreach (Score sc in scores)
            {
                if (s.scoreToInt() >= sc.scoreToInt())
                {
                    lower = true;
                    break;
                }
            }


            if(lower)
                return false;
            */
            return true;
        }


        public bool save( Score score )
        {
            if( score.isEmpty() )
                return false;

            //Obtain the virtual store for application
            IsolatedStorageFile myStore = IsolatedStorageFile.GetUserStoreForApplication();

            StreamWriter writeFile = new StreamWriter(new IsolatedStorageFileStream("scores.txt", FileMode.Append, myStore));
            writeFile.WriteLine(score.toStringLine());
            writeFile.Close();
            

            return true;
        }

        public bool save(List<Score> scores)
        {
            if (scores.Count == 0)
                return false;

            //Obtain the virtual store for application
            IsolatedStorageFile myStore = IsolatedStorageFile.GetUserStoreForApplication();

            StreamWriter writeFile = new StreamWriter(new IsolatedStorageFileStream("scores.txt", FileMode.Open, myStore));
            foreach(Score s in scores){
                writeFile.WriteLine(s.toStringLine());
            }
            
            writeFile.Close();


            return true;
        }

        public bool reset()
        {


            IsolatedStorageFile myStore = IsolatedStorageFile.GetUserStoreForApplication();
            StreamWriter writeFile = new StreamWriter(new IsolatedStorageFileStream("scores.txt", FileMode.Truncate, myStore));
            writeFile.Write("");
            writeFile.Close();
            return true;
        }

    }
}
